Subject: bug#557: gud/gdb not interacting properly with remote source file

From: Nick Roberts <[email-masked]>
Date: Wed, 16 Jul 2008 09:35:02 +1200

> In GNU Emacs 21.4.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 ...

 > Please describe exactly what actions triggered the bug
 > and the precise symptoms of the bug:
 > 
 > I open a remote c file using tramp.
 > >From within that buffer I do: M-x gdb
 > and invoke gdb on the executable associated with the c file 
 > (the executable contains appropriate debugging symbols)
 > The gud buffer opens correctly and typing "list" and "info source" 
 > indicates that gdb has the correct source file loaded.
 > I go to the source buffer in emacs and set a breakpoint using C-x <SPC>
 > in the gud buffer I see that the breakpoint has been set correctly.
 > But then when I try stepping through the code using "next", 
 > a new empty buffer is created whose file path (according to the buffer list) 
 > is similar to the path of the remote source, except that it is local, 
 > i.e. instead of "me@remote:/home/me/file.c" it is "/home/me/file.c"
 > Any further stepping through the code in the gud buffer brings up the new empty
 > buffer which contains a small white arrow in the left margin as it would 
 > do normally, except this time it is pointing to an empty line. 
 > The buffer containing the remote source file does not indicate the point of execution, 
 > but still allows me to set breakpoints with C-x <SPC>.
 > 
 > If I try debugging with a local file it works fine.

This looks like Joe Bloggs (bogus e-mail address) earlier report.  It doesn't
work with Emacs 21.4 and it is necessary to upgrade to 22.2 and ensure that
Emacs picks up the version of Tramp that comes with that version of Emacs.

Can someone please close this bug and/or tell me if/how I can close it?

-- 
Nick                                           http://www.inet.net.nz/~nickrob